Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.validator.event
Class ValidateEventListener

    java.lang.Object
      org.hibernate.validator.event.ValidateEventListener

All Implemented Interfaces:
  Serializable, org.hibernate.event.Initializable, org.hibernate.event.PreInsertEventListener, org.hibernate.event.PreUpdateEventListener

Direct Known Subclasses:
  ValidatePreInsertEventListener, ValidatePreUpdateEventListener

    public class ValidateEventListener

extends Object
implements org.hibernate.event.PreInsertEventListener, org.hibernate.event.PreUpdateEventListener, org.hibernate.event.Initializable

Before insert and update, executes the validator framework

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`ValidateEventListener()`

Method Summary
`void` | `initialize(org.hibernate.cfg.Configuration cfg)` initialize the validators, any non significant validators are not kept
`boolean` | `onPreInsert(org.hibernate.event.PreInsertEvent event)`
`boolean` | `onPreUpdate(org.hibernate.event.PreUpdateEvent event)`
`protected void` | `validate(Object entity, org.hibernate.EntityMode mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateEventListener

    public ValidateEventListener()

Method Detail

### initialize

    public void initialize(org.hibernate.cfg.Configuration cfg)

  initialize the validators, any non significant validators are not kept

  Specified by:
    `initialize` in interface `org.hibernate.event.Initializable`

### validate

    protected void validate(Object entity,
                            org.hibernate.EntityMode mode)

### onPreInsert

    public boolean onPreInsert(org.hibernate.event.PreInsertEvent event)

  Specified by:
    `onPreInsert` in interface `org.hibernate.event.PreInsertEventListener`

### onPreUpdate

    public boolean onPreUpdate(org.hibernate.event.PreUpdateEvent event)

  Specified by:
    `onPreUpdate` in interface `org.hibernate.event.PreUpdateEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD